// static initializers (incl field initializers)
class C {
    static Object f = foo();

    static final Object g;
    static {
	g = "asdf";
    }

     static Object foo() {
 	return "ersdfg";
     }

    C() {
    }
    static public void main(String[] args) {
	C.f.toString(); // can not be null!
	C.g.toString(); // can not be null!
    }   
}

